{
	"name": "iceshrimp-sdk",
	"version": "0.0.24",
	"description": "iceshrimp SDK for JavaScript",
	"main": "./built/index.js",
	"types": "./built/index.d.ts",
	"scripts": {
		"build": "tsup --config tsup.config.ts",
		"build:dts": "tsc --emitDeclarationOnly",
		"render": "yarn build:dts && yarn api && yarn api-prod && cp temp/iceshrimp-sdk.api.json etc/ && yarn api-doc",
		"api": "api-extractor run --local --verbose",
		"api-prod": "api-extractor run --verbose",
		"api-doc": "api-documenter markdown -i ./etc/",
		"lint": "biome check --apply *.ts",
		"format": "biome format --write *.ts"
	},
	"repository": {
		"type": "git",
		"url": "https://iceshrimp.dev/iceshrimp/iceshrimp.git"
	},
	"devDependencies": {
		"@microsoft/api-documenter": "^7.22.21",
		"@microsoft/api-extractor": "^7.36.0",
		"@types/node": "^22",
		"tsup": "^8.5.1",
		"typescript": "^6.0.3"
	},
	"files": [
		"built"
	],
	"dependencies": {
		"eventemitter3": "^4.0.7",
		"reconnecting-websocket": "^4.4.0",
		"semver": "^7.3.8"
	}
}
